package com.qmth.paper.library.business.service;

import com.github.jeffreyning.mybatisplus.service.IMppService;
import com.qmth.paper.library.business.bean.result.SelectResult;
import com.qmth.paper.library.business.entity.ExamCourse;
import com.qmth.paper.library.common.entity.ExamStudent;

import java.util.List;

/**
 * <p>
 * 考生课程表 服务类
 * </p>
 *
 * @author xf
 * @since 2024-03-11
 */
public interface ExamCourseService extends IMppService<ExamCourse> {

    void removeByExamIdAndCourseCode(Long examId, String courseCode);

    List<SelectResult> listConditionByExamId(Long examId);

    List<ExamCourse> listByExamId(Long examId);

    void saveStudentCourse(Long examId, ExamStudent examStudent);
}
